Summary:            Let your Python tests travel through time
Name:               python-freezegun
Version:            1.2.2
Release:            1%{?dist}
License:            ASL 2.0
URL:                https://pypi.io/project/freezegun
Source0:            https://pypi.io/packages/source/f/freezegun/freezegun-%{version}.tar.gz
Patch3000:          https://github.com/spulec/freezegun/pull/397.patch

BuildArch:          noarch

%description
This package provides a library that allows your python tests to travel through time by mocking 
the datetime module.


%package -n python3-freezegun
Summary:            %{summary}

BuildRequires:      python3-devel python3-setuptools
BuildRequires:      python3-six python3-dateutil >= 2.7 python3-pytest
Requires:           python3-six python3-dateutil >= 2.7
Provides:           python3-freezegun = %{version}-%{release}


%description -n python3-freezegun
This package provides a library that allows your python tests to travel through time by mocking 
the datetime module.

%prep
%autosetup -p1 -n freezegun-%{version}

rm -rf freezegun.egg-info

%build
%py3_build

%install
%py3_install

%check
pytest-3 --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_frozen_time \
         --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_hello


%files -n python3-freezegun
%license LICENSE
%doc README.rst
%{python3_sitelib}/freezegun/
%{python3_sitelib}/freezegun-%{version}-*

%changelog
* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 1.2.2-1
- upgrade to 1.2.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 1.1.0-1
- package init.
